=== ARBDB/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt
.SUFFIXES: .o .cxx .depend

# objects with autogenerated prototypes (gb_prot.h + ad_prot.h + ad_k_prot.h)
GB_O = \
	adTest.o \
	ad_load.o \
	ad_save_load.o \
	adcomm.o \
	adhash.o  \
	adcache.o  \
	adhashtools.o \
	adlang1.o \
	adlink.o \
	admalloc.o \
	admatch.o \
	admath.o \
	adoptimize.o \
	adperl.o \
	adstring.o \
	adfile.o \
	adsystem.o \
	adtcp.o \
	adtune.o \
	arbdb.o \
        adExperiment.o \
        adGene.o \
        ad_core.o \
        adcompr.o \
        adindex.o \
        admap.o \
        adquery.o \
        adsocket.o \


# objects with autogenerated prototypes (gb_t_prot.h + ad_t_prot.h)
GB_T =  \
	adChangeKey.o \
	adRevCompl.o \
	aditem.o \
	adname.o \
	adseqcompr.o \
	adtables.o \
	adtools.o \
	adtree.o \
        adali.o \


# c++-only objects
GB_PP = \
	arbdbpp.o \

# objects w/o autogenerated prototypes
GB_X =  \
	ad_config.o \

OBJECTS = $(GB_O) $(GB_T) $(GB_PP) $(GB_X)

LIB_SHARED=../lib/$(MAIN:.a=).$(SHARED_LIB_SUFFIX)

# MAIN contains .a (instead of wanted .so). Translate via do_...-target
it: do_$(MAIN)

do_ARBDB.a:
	@echo "Error: MAIN='$(MAIN)' is set wrong"
	false

do_libARBDB.a: $(LIB_SHARED)

$(LIB_SHARED): $(OBJECTS)
	$(LINK_SHARED_LIB) $(LIB_SHARED) $(OBJECTS)

.cxx.o:
	$(A_CXX) $(shared_cflags) $(cflags) $(cxxflags) -c $< $(CXX_INCLUDES) $(POST_COMPILE)

proto:	global_proto local_proto

local_proto: lpro tlpro

lpro: $(GB_O:.o=.cxx)
	../AISC_MKPTPS/aisc_mkpt -c "Internal database interface" -G -w gb_prot.h -F ^gb_,^gbs_,^gbcm,^gbm_,^gbl_ $^ >gb_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff gb_prot.h.tmp gb_prot.h

tlpro: $(GB_T:.o=.cxx)
	../AISC_MKPTPS/aisc_mkpt -c "Internal toolkit" -G -w gb_t_prot.h -F ^gb_,^gbt_,^gbs_ $^ >gb_t_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff gb_t_prot.h.tmp gb_t_prot.h

global_proto: pro ppro tpro cbpro

pro: $(GB_O:.o=.cxx) 
	../AISC_MKPTPS/aisc_mkpt -c "ARB database interface" -G -P -w ad_prot.h -F ^GB_,^GEN_,^EXP_,^GBS_,^GBT_,^GBCM,^GBC_ -S callback $^ >ad_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_prot.h.tmp ad_prot.h

cbpro: $(GB_O:.o=.cxx)
	../AISC_MKPTPS/aisc_mkpt -c "ARB database callback interface" -G -w ad_cb_prot.h -F '^GB_+callback' $^ >ad_cb_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_cb_prot.h.tmp ad_cb_prot.h

ppro: $(GB_O:.o=.cxx)
	../AISC_MKPTPS/aisc_mkpt -c "ARB perl interface" -G -w ad_p_prot.h -F ^GBP_ $^ >ad_p_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_p_prot.h.tmp ad_p_prot.h

tpro: $(GB_T:.o=.cxx)
	../AISC_MKPTPS/aisc_mkpt -c "ARB toolkit" -G -w ad_t_prot.h -F ^GB_,^GEN_,^EXP_,^GBT_ $^ >ad_t_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_t_prot.h.tmp ad_t_prot.h

wc:
	wc *.[ch]

clean:
	rm -f $(OBJECTS) *.a *.so

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

ad_config.o: ad_config.h
ad_config.o: ad_prot.h
ad_config.o: ad_t_prot.h
ad_config.o: arbdb.h
ad_config.o: arbdb_base.h
ad_config.o: arbdbt.h
ad_config.o: gb_local.h
ad_config.o: gb_prot.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_core.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_defs.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_error.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_msg.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_strarray.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_string.h
ad_config.o: $(ARBHOME)/INCLUDE/arbtools.h
ad_config.o: $(ARBHOME)/INCLUDE/attributes.h
ad_config.o: $(ARBHOME)/INCLUDE/cxxforward.h
ad_config.o: $(ARBHOME)/INCLUDE/downcast.h
ad_config.o: $(ARBHOME)/INCLUDE/dupstr.h
ad_config.o: $(ARBHOME)/INCLUDE/gccver.h
ad_config.o: $(ARBHOME)/INCLUDE/smartptr.h
ad_config.o: $(ARBHOME)/INCLUDE/static_assert.h
ad_config.o: $(ARBHOME)/INCLUDE/test_global.h
ad_config.o: $(ARBHOME)/INCLUDE/test_unit.h

ad_core.o: ad_hcb.h
ad_core.o: ad_prot.h
ad_core.o: arbdb.h
ad_core.o: arbdb_base.h
ad_core.o: gb_cb.h
ad_core.o: gb_data.h
ad_core.o: gb_header.h
ad_core.o: gb_index.h
ad_core.o: gb_key.h
ad_core.o: gb_local.h
ad_core.o: gb_localdata.h
ad_core.o: gb_main.h
ad_core.o: gb_memory.h
ad_core.o: gb_prot.h
ad_core.o: gb_storage.h
ad_core.o: gb_ts.h
ad_core.o: gb_tune.h
ad_core.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_core.o: $(ARBHOME)/INCLUDE/arb_core.h
ad_core.o: $(ARBHOME)/INCLUDE/arb_error.h
ad_core.o: $(ARBHOME)/INCLUDE/arb_msg.h
ad_core.o: $(ARBHOME)/INCLUDE/arb_string.h
ad_core.o: $(ARBHOME)/INCLUDE/arbtools.h
ad_core.o: $(ARBHOME)/INCLUDE/attributes.h
ad_core.o: $(ARBHOME)/INCLUDE/cb.h
ad_core.o: $(ARBHOME)/INCLUDE/cb_base.h
ad_core.o: $(ARBHOME)/INCLUDE/cbtypes.h
ad_core.o: $(ARBHOME)/INCLUDE/cxxforward.h
ad_core.o: $(ARBHOME)/INCLUDE/dupstr.h
ad_core.o: $(ARBHOME)/INCLUDE/gccver.h
ad_core.o: $(ARBHOME)/INCLUDE/smartptr.h
ad_core.o: $(ARBHOME)/INCLUDE/static_assert.h
ad_core.o: $(ARBHOME)/INCLUDE/test_global.h
ad_core.o: $(ARBHOME)/INCLUDE/ttypes.h

ad_load.o: ad_io_inline.h
ad_load.o: ad_prot.h
ad_load.o: ad_t_prot.h
ad_load.o: arbdb.h
ad_load.o: arbdb_base.h
ad_load.o: arbdbt.h
ad_load.o: gb_cb.h
ad_load.o: gb_data.h
ad_load.o: gb_header.h
ad_load.o: gb_key.h
ad_load.o: gb_load.h
ad_load.o: gb_local.h
ad_load.o: gb_localdata.h
ad_load.o: gb_main.h
ad_load.o: gb_map.h
ad_load.o: gb_memory.h
ad_load.o: gb_prot.h
ad_load.o: gb_storage.h
ad_load.o: gb_tune.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_core.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_defs.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_error.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_file.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_msg.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_str.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_string.h
ad_load.o: $(ARBHOME)/INCLUDE/arbtools.h
ad_load.o: $(ARBHOME)/INCLUDE/attributes.h
ad_load.o: $(ARBHOME)/INCLUDE/cb.h
ad_load.o: $(ARBHOME)/INCLUDE/cb_base.h
ad_load.o: $(ARBHOME)/INCLUDE/cbtypes.h
ad_load.o: $(ARBHOME)/INCLUDE/cxxforward.h
ad_load.o: $(ARBHOME)/INCLUDE/downcast.h
ad_load.o: $(ARBHOME)/INCLUDE/dupstr.h
ad_load.o: $(ARBHOME)/INCLUDE/gccver.h
ad_load.o: $(ARBHOME)/INCLUDE/smartptr.h
ad_load.o: $(ARBHOME)/INCLUDE/static_assert.h
ad_load.o: $(ARBHOME)/INCLUDE/test_global.h
ad_load.o: $(ARBHOME)/INCLUDE/ttypes.h

ad_save_load.o: ad_io_inline.h
ad_save_load.o: ad_prot.h
ad_save_load.o: arbdb.h
ad_save_load.o: arbdb_base.h
ad_save_load.o: gb_cb.h
ad_save_load.o: gb_data.h
ad_save_load.o: gb_header.h
ad_save_load.o: gb_key.h
ad_save_load.o: gb_load.h
ad_save_load.o: gb_local.h
ad_save_load.o: gb_main.h
ad_save_load.o: gb_map.h
ad_save_load.o: gb_memory.h
ad_save_load.o: gb_prot.h
ad_save_load.o: gb_storage.h
ad_save_load.o: gb_tune.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_core.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_diff.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_error.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_file.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_msg.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_string.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arbtools.h
ad_save_load.o: $(ARBHOME)/INCLUDE/attributes.h
ad_save_load.o: $(ARBHOME)/INCLUDE/cb.h
ad_save_load.o: $(ARBHOME)/INCLUDE/cb_base.h
ad_save_load.o: $(ARBHOME)/INCLUDE/cbtypes.h
ad_save_load.o: $(ARBHOME)/INCLUDE/cxxforward.h
ad_save_load.o: $(ARBHOME)/INCLUDE/dupstr.h
ad_save_load.o: $(ARBHOME)/INCLUDE/gccver.h
ad_save_load.o: $(ARBHOME)/INCLUDE/smartptr.h
ad_save_load.o: $(ARBHOME)/INCLUDE/static_assert.h
ad_save_load.o: $(ARBHOME)/INCLUDE/test_global.h
ad_save_load.o: $(ARBHOME)/INCLUDE/test_unit.h
ad_save_load.o: $(ARBHOME)/INCLUDE/ttypes.h

adali.o: ad_prot.h
adali.o: ad_t_prot.h
adali.o: adGene.h
adali.o: arbdb.h
adali.o: arbdb_base.h
adali.o: arbdbt.h
adali.o: gb_local.h
adali.o: gb_prot.h
adali.o: $(ARBHOME)/INCLUDE/arb_assert.h
adali.o: $(ARBHOME)/INCLUDE/arb_core.h
adali.o: $(ARBHOME)/INCLUDE/arb_error.h
adali.o: $(ARBHOME)/INCLUDE/arb_msg.h
adali.o: $(ARBHOME)/INCLUDE/arb_strarray.h
adali.o: $(ARBHOME)/INCLUDE/arb_string.h
adali.o: $(ARBHOME)/INCLUDE/arbtools.h
adali.o: $(ARBHOME)/INCLUDE/attributes.h
adali.o: $(ARBHOME)/INCLUDE/cxxforward.h
adali.o: $(ARBHOME)/INCLUDE/downcast.h
adali.o: $(ARBHOME)/INCLUDE/dupstr.h
adali.o: $(ARBHOME)/INCLUDE/gccver.h
adali.o: $(ARBHOME)/INCLUDE/smartptr.h
adali.o: $(ARBHOME)/INCLUDE/static_assert.h
adali.o: $(ARBHOME)/INCLUDE/test_global.h
adali.o: $(ARBHOME)/INCLUDE/test_unit.h

adcache.o: ad_prot.h
adcache.o: arbdb.h
adcache.o: arbdb_base.h
adcache.o: gb_cb.h
adcache.o: gb_data.h
adcache.o: gb_local.h
adcache.o: gb_main.h
adcache.o: gb_memory.h
adcache.o: gb_prot.h
adcache.o: gb_storage.h
adcache.o: gb_tune.h
adcache.o: $(ARBHOME)/INCLUDE/arb_assert.h
adcache.o: $(ARBHOME)/INCLUDE/arb_core.h
adcache.o: $(ARBHOME)/INCLUDE/arb_error.h
adcache.o: $(ARBHOME)/INCLUDE/arb_msg.h
adcache.o: $(ARBHOME)/INCLUDE/arb_string.h
adcache.o: $(ARBHOME)/INCLUDE/arbtools.h
adcache.o: $(ARBHOME)/INCLUDE/attributes.h
adcache.o: $(ARBHOME)/INCLUDE/cb.h
adcache.o: $(ARBHOME)/INCLUDE/cb_base.h
adcache.o: $(ARBHOME)/INCLUDE/cbtypes.h
adcache.o: $(ARBHOME)/INCLUDE/cxxforward.h
adcache.o: $(ARBHOME)/INCLUDE/dupstr.h
adcache.o: $(ARBHOME)/INCLUDE/gccver.h
adcache.o: $(ARBHOME)/INCLUDE/smartptr.h
adcache.o: $(ARBHOME)/INCLUDE/static_assert.h
adcache.o: $(ARBHOME)/INCLUDE/test_global.h
adcache.o: $(ARBHOME)/INCLUDE/ttypes.h

adChangeKey.o: ad_prot.h
adChangeKey.o: ad_t_prot.h
adChangeKey.o: arbdb.h
adChangeKey.o: arbdb_base.h
adChangeKey.o: arbdbt.h
adChangeKey.o: gb_local.h
adChangeKey.o: gb_prot.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arb_assert.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arb_core.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arb_error.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arb_msg.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arb_string.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arbtools.h
adChangeKey.o: $(ARBHOME)/INCLUDE/attributes.h
adChangeKey.o: $(ARBHOME)/INCLUDE/cxxforward.h
adChangeKey.o: $(ARBHOME)/INCLUDE/downcast.h
adChangeKey.o: $(ARBHOME)/INCLUDE/dupstr.h
adChangeKey.o: $(ARBHOME)/INCLUDE/gccver.h
adChangeKey.o: $(ARBHOME)/INCLUDE/smartptr.h
adChangeKey.o: $(ARBHOME)/INCLUDE/static_assert.h
adChangeKey.o: $(ARBHOME)/INCLUDE/test_global.h

adcomm.o: ad_prot.h
adcomm.o: arbdb.h
adcomm.o: arbdb_base.h
adcomm.o: gb_cb.h
adcomm.o: gb_comm.h
adcomm.o: gb_data.h
adcomm.o: gb_header.h
adcomm.o: gb_key.h
adcomm.o: gb_local.h
adcomm.o: gb_localdata.h
adcomm.o: gb_main.h
adcomm.o: gb_memory.h
adcomm.o: gb_prot.h
adcomm.o: gb_storage.h
adcomm.o: gb_tune.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_assert.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_core.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_error.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_file.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_msg.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_signal.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_string.h
adcomm.o: $(ARBHOME)/INCLUDE/arbtools.h
adcomm.o: $(ARBHOME)/INCLUDE/attributes.h
adcomm.o: $(ARBHOME)/INCLUDE/cb.h
adcomm.o: $(ARBHOME)/INCLUDE/cb_base.h
adcomm.o: $(ARBHOME)/INCLUDE/cbtypes.h
adcomm.o: $(ARBHOME)/INCLUDE/cxxforward.h
adcomm.o: $(ARBHOME)/INCLUDE/dupstr.h
adcomm.o: $(ARBHOME)/INCLUDE/gccver.h
adcomm.o: $(ARBHOME)/INCLUDE/SigHandler.h
adcomm.o: $(ARBHOME)/INCLUDE/smartptr.h
adcomm.o: $(ARBHOME)/INCLUDE/static_assert.h
adcomm.o: $(ARBHOME)/INCLUDE/test_global.h
adcomm.o: $(ARBHOME)/INCLUDE/ttypes.h

adcompr.o: ad_prot.h
adcompr.o: ad_t_prot.h
adcompr.o: arbdb.h
adcompr.o: arbdb_base.h
adcompr.o: arbdbt.h
adcompr.o: gb_cb.h
adcompr.o: gb_compress.h
adcompr.o: gb_data.h
adcompr.o: gb_header.h
adcompr.o: gb_key.h
adcompr.o: gb_local.h
adcompr.o: gb_localdata.h
adcompr.o: gb_main.h
adcompr.o: gb_memory.h
adcompr.o: gb_prot.h
adcompr.o: gb_storage.h
adcompr.o: gb_t_prot.h
adcompr.o: gb_tune.h
