=== HEADERLIBS/Makefile ===

all: eigen

clean:
	rm -rf eigen/

eigen: eigen.tgz
	tar -zxvf $<
	touch eigen/
