=== debian/changelog ===
arb (6.0.3-1) unstable; urgency=medium

  * New upstream version
  * Applied all l10n patches - thanks a lot for the great l10n team
    for pushing this
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #761942
  * [Debconf translation updates]
  * Danish (Joe Hansen).  Closes: #764869
  * Dutch; (Frans Spiesschaert).  Closes: #765088
  * Russian (Yuri Kozlov).  Closes: #765096
  * Portuguese (Américo Monteiro).  Closes: #761503
  * Danish (Joe Hansen).  Closes: #765865
  * Czech (Michal Simunek).  Closes: #766600
  * Italian (Daniele Forsi).  Closes: #766684
  * German (Chris Leick).  Closes: #766689
  * French (Steve Petruzzello).  Closes: #766728
  * Catalan; (Innocent De Marchi).  Closes: #766855
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #767247
  * extra linker flag proposed by Tim Booth
  * Lintian override to avoid false positives
  * cme fix dpkg-control
  * spelling+lintian fixes in d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2015 12:26:14 +0100

arb (6.0.2-2) unstable; urgency=medium

  [ Elmar Pruesse ]
   * Add Portugese debconf translation (thanks to Américo Monteiro 
     <a_monteiro@gmx.com> for the patch)
     Closes: #761503
   * Add Russian debconf translation (thanks to Yuri Kozlov 
     <yuray@komyakino.ru> for the patch)
     Closes: #761616
   * debian/arb_CHANGELOG.txt -> debian/changelog (fix lintian complaint)

  [ Andreas Tille ]
  * Skip compiler version check at all
    Closes: #793187

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jul 2015 22:49:16 +0200
