=== debian/watch ===
version=3
#opts="downloadurlmangle=s/$/arbsrc.tgz/,filenamemangle=s/\/$/.tgz/" \
#   http://download.arb-home.de/release/ arb_(\d+.*)/

opts="downloadurlmangle=s{([\d.]+)/$}{$1/arb-$1-source.tgz},filenamemangle=s/\/$/.tgz/" \
   http://download.arb-home.de/release/ arb-(\d+.*)/
